Subject: Re: t0300-credentials: poll failed: invalid argument

From: Thomas Rast <[email-masked]>
Date: Fri, 9 Sep 2011 16:13:13 +0200

Jeff King wrote:
> On Mon, Aug 29, 2011 at 01:28:05PM -0400, Brian Gernhardt wrote:
> 
> > > Ugh, sorry, this is my fault. The check_expiration() function can return
> > > a totally bogus value before we actually get any credentials.
> > > 
> > > Does this patch fix it for you?
> > 
> > Yes it does!  Surprisingly enough, non-bogus parameters keeps poll
> > from erroring with EINVAL.  Funny that.  ;-)
> 
> Great. I'm working on a few more patches on top of that topic, so I'll
> add it to my list to send out in the next day or so.

I'm still seeing this with current pu (from repo.or.cz), but only on
OS X

  $ uname -a
  Darwin mackeller.inf.ethz.ch 11.1.0 Darwin Kernel Version 11.1.0: Tue Jul 26 16:07:11 PDT 2011; root:xnu-1699.22.81~1/RELEASE_X86_64 x86_64

Where "this" is:

  --- expect-stderr       2011-09-09 14:12:13.000000000 +0000
  +++ stderr      2011-09-09 14:12:13.000000000 +0000
  @@ -1,2 +1,3 @@
   askpass: Username:
   askpass: Password:
  +fatal: poll failed: Invalid argument

for each of the tests 15--19.  Is it supposed to be fixed?

I don't have time to look into it without knowing what to search for,
but if you want me to test anything on that OS X just ask.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch